# binaryninja.function.FunctionGraphBlock

class `binaryninja.function.``FunctionGraphBlock`(handle, graph)
  `__init__`(handle, graph)

  Methods

  `__init__`(handle, graph) |

  Attributes

  `arch` | Function graph block architecture (read-only)
  `basic_block` | Basic block associated with this part of the function graph (read-only)
  `end` | Function graph block end (read-only)
  `height` | Function graph block height (read-only)
  `lines` | Function graph block list of lines (read-only)
  `outgoing_edges` | Function graph block list of outgoing edges (read-only)
  `start` | Function graph block start (read-only)
  `width` | Function graph block width (read-only)
  `x` | Function graph block X (read-only)
  `y` | Function graph block Y (read-only)